CREATE TABLE iex_score_components (
    SCORE_COMPONENT_ID        NUMBER(18, 0) ,
    SCORE_COMP_WEIGHT         NUMBER(3, 2)  ,
    SCORE_ID                  NUMBER(18, 0) ,
    ENABLED_FLAG              VARCHAR2(40)  ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    PROGRAM_APPLICATION_ID    NUMBER(18, 0) ,
    PROGRAM_ID                NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE       DATE          ,
    SCORE_COMP_TYPE_ID        NUMBER            NOT NULL,
    SECURITY_GROUP_ID         NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    SCORE_COMPONENT_ID        NUMBER(18, 0) ,
    SCORE_COMP_WEIGHT         NUMBER(3, 2)  ,
    SCORE_ID                  NUMBER(18, 0) ,
    ENABLED_FLAG              VARCHAR2(40)  ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    REQUEST_ID                NUMBER(18, 0) ,
    PROGRAM_APPLICATION_ID    NUMBER(18, 0) ,
    PROGRAM_ID                NUMBER(18, 0) ,
    PROGRAM_UPDATE_DATE       DATE          ,
    SCORE_COMP_TYPE_ID        NUMBER            NOT NULL,
    SECURITY_GROUP_ID         NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_iex_score_components PRIMARY KEY (SCORE_COMPONENT_ID, SCORE_COMPONENT_ID)
);
